PipeWire 1.4.5 |

Loading...
Searching...
No Matches
Data Fields
pw_control_events Struct Reference
Implementation API » Control

Port events, use pw_control_add_listener. More...

`#include <pipewire/control.h>`

## Data Fields
uint32_t | version
void(* | destroy )(void *data)
| The control is destroyed.
void(* | free )(void *data)
| The control is freed.
void(* | linked )(void *data, struct pw_control *other)
| control is linked to another control
void(* | unlinked )(void *data, struct pw_control *other)
| control is unlinked from another control

## Detailed Description

Port events, use pw_control_add_listener.

## Field Documentation

## ◆ version

uint32_t pw_control_events::version

## ◆ destroy

void(* pw_control_events::destroy) (void *data)

The control is destroyed.

## ◆ free

void(* pw_control_events::free) (void *data)

The control is freed.

## ◆ linked

void(* pw_control_events::linked) (void *data, struct pw_control *other)

control is linked to another control

## ◆ unlinked

void(* pw_control_events::unlinked) (void *data, struct pw_control *other)

control is unlinked from another control

The documentation for this struct was generated from the following file:

- pipewire/control.h